aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2010-11-26 09:11:30 +0100
committerFabian Groffen <grobian@gentoo.org>2010-11-26 09:11:30 +0100
commit88c6e161aeac32397c291fc236db5797f01ab673 (patch)
tree1ace8e4d56831bbc53c73d64ef6ef0ec4cc38980 /runtests.sh
parentconst: don't set EPREFIX to . when its empty (diff)
parentconfig.environ: filter calling env only if mycpv (diff)
downloadportage-88c6e161aeac32397c291fc236db5797f01ab673.tar.gz
portage-88c6e161aeac32397c291fc236db5797f01ab673.tar.bz2
portage-88c6e161aeac32397c291fc236db5797f01ab673.zip
Merge remote branch 'overlays-gentoo-org/master' into prefix
Diffstat (limited to 'runtests.sh')
-rwxr-xr-xruntests.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/runtests.sh b/runtests.sh
index f1cd01c39..31910d65d 100755
--- a/runtests.sh
+++ b/runtests.sh
@@ -15,6 +15,13 @@ case "${NOCOLOR:-false}" in
;;
esac
+interrupted() {
+ echo "interrupted." >&2
+ exit 1
+}
+
+trap interrupted SIGINT
+
exit_status="0"
for version in ${PYTHON_VERSIONS}; do
if [[ -x @PORTAGE_PYTHON@${version} ]]; then